using System;
using System.Reflection;

internal sealed class Delegate793 : MulticastDelegate
{
	public extern ParameterInfo[] Invoke(object object_0);

	public static ParameterInfo[] smethod_0(object object_0, Delegate793 delegate793_1)
	{
		return delegate793_1(object_0);
	}

	public extern Delegate793(object object_0, IntPtr intptr_0);

	static Delegate793()
	{
		Class10.smethod_13(typeof(Delegate793).TypeHandle);
	}

	internal static Delegate793 delegate793_0;
}
